BASENAME(1)

NIMI
basename - strip directory and suffix from filenames

YLEISKATSAUS
basename NIMI [PÄÄTE]
basename VALITSIN... NIMI...

KUVAUS

Print NAME with any leading directory components removed. If specified, also remove a trailing SUFFIX.

Pitkien valitsinten pakolliset argumentit ovat pakollisia myös lyhyille.

-a, --multiple
    tukevat useita argumentteja ja kohtelevat kutakin NIMI-argumenttina

-s, --suffix=PÄÄTE
    poistaa loppuliitteen; tarkoittaa -a

-z, --zero
    päätä rivit NUL-tavuun, ei rivinvaihtoon

--help
    näytä tämä ohje ja poistu

--version
    näytä versiotiedot ja poistu

ESIMERKKEJÄ

basename /usr/bin/sort
    -> "sort"

basename include/stdio.h .h
    -> "stdio"

basename -s .h include/stdio.h
    -> "stdio"

basename -a any/str1 any/str2
    -> "str1" jota seuraa "str2"

TEKIJÄ
Kirjoittanut David MacKenzie.

VIRHEISTÄ ILMOITTAMINEN
Ilmoita ohjelmistovioista (englanniksi) osoitteeseen bug-coreutils@gnu.org
GNU coreutils-kotisivu: <https://www.gnu.org/software/coreutils/>
Yleisohjeita GNU-ohjelmistojen käyttöön: <https://www.gnu.org/gethelp/>
Ilmoita käännösvirheistä osoitteeseen <https://translationproject.org/team/fi.html>

KATSO MYÖS
dirname(1), readlink(1)

Koko dokumentaatio: <https://www.gnu.org/software/coreutils/basename>
tai saatavilla paikallisesti: info '(coreutils) basename invocation'

Packaged by Debian (9.10-1)
Copyright © 2026 Free Software Foundation, Inc.
Lisenssi GPLv3+: GNU GPL versio 3 tai myöhempi <https://gnu.org/licenses/gpl.html>.
Tämä on vapaa ohjelmisto; sitä saa vapaasti muuttaa ja levittää edelleen.
Siinä määrin kuin laki sallii, TAKUUTA EI OLE.

KÄÄNNÖS
Tämän käsikirjan suomenkielisen käännöksen tekivät Jussi Larjo <larjo@cc.tut.fi>

Tämä käännös on ilmainen dokumentaatio; katso tekijänoikeusehdot GNU General Public License -versiosta 3 (https://www.gnu.org/licenses/gpl-3.0.html) tai uudemmasta. Emme ota vastuuta.